GDCM: gdcm::SwapCode Class Reference

GDCM 3.0.25

Public Types | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Friends | List of all members
gdcm::SwapCode Class Reference

SwapCode representation. More...

`#include <gdcmSwapCode.h>`

## Public Types
enum | SwapCodeType { Unknown = 0 , LittleEndian = 1234 , BigEndian = 4321 , BadLittleEndian = 3412 , BadBigEndian = 2143 }

## Public Member Functions
| SwapCode (SwapCodeType sc=Unknown)
| operator SwapCode::SwapCodeType () const

## Static Public Member Functions
static const char * | GetSwapCodeString (SwapCode const &sc)

## Static Protected Member Functions
static int | GetIndex (SwapCode const &sc)

## Friends
std::ostream & | operator<< (std::ostream &os, const SwapCode &sc)

## Detailed Description

SwapCode representation.

Examples
  TestByteSwap.cxx.

## Member Enumeration Documentation

## ◆ SwapCodeType

enum gdcm::SwapCode::SwapCodeType

Enumerator
Unknown |
LittleEndian |
BigEndian |
BadLittleEndian |
BadBigEndian |

## Constructor & Destructor Documentation

## ◆ SwapCode()

gdcm::SwapCode::SwapCode | ( | SwapCodeType | sc = Unknown | ) |
| inline

References Unknown.

Referenced by GetIndex(), GetSwapCodeString(), and operator<<.

## Member Function Documentation

## ◆ GetIndex()

static int gdcm::SwapCode::GetIndex | ( | SwapCode const & | sc | ) |
| staticprotected

References SwapCode().

## ◆ GetSwapCodeString()

static const char * gdcm::SwapCode::GetSwapCodeString | ( | SwapCode const & | sc | ) |
| static

References SwapCode(), and operator<<.

Referenced by operator<<.

## ◆ operator SwapCode::SwapCodeType()

gdcm::SwapCode::operator SwapCode::SwapCodeType | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const SwapCode & | sc )
| friend

References SwapCode(), and GetSwapCodeString().

Referenced by GetSwapCodeString().

The documentation for this class was generated from the following file:

- gdcmSwapCode.h